package ec.gp.semantic.geometry;

import ec.gp.semantic.*;

public class SimpleBooleanMidpointProvider implements IMidpointProvider<Boolean> {

	@Override
	public DesiredSemanticsBase<Boolean> getMidpoint(ISemantics semantics1, ISemantics semantics2) {
		return new BooleanDesiredSemantics(semantics1.getMidpointBetweenMeAnd(semantics2));
	}

}
